Package com.treemap.swing.originalfastvoronoi.pd.gui

# Class JPolygon

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
com.treemap.swing.originalfastvoronoi.pd.gui.JPolygon

All Implemented Interfaces:
  `VoroCellObject`, `ImageObserver`, `MenuContainer`, `Serializable`

Direct Known Subclasses:
  `JSite`

public class JPolygon extends JComponent implements VoroCellObject
Polygon Class to show the polygon as a component.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.JComponent

  `JComponent.AccessibleJComponent`

  ## Nested classes/interfaces inherited from class java.awt.Container

  `Container.AccessibleAWTContainer`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

- ## Field Summary

  ### Fields inherited from class javax.swing.JComponent

  `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class java.awt.Component

  `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JPolygon(PolygonSimple polygon, Integer id)`
  `JPolygon(Integer id)`
  `JPolygon(Integer id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `calculateFittingFont()`
  `boolean`
  `contains(int x, int y)`
  `boolean`
  `contains(Point p)`
  `void`
  `doFinalWork()`
  `protected void`
  `doMouseClicked(MouseEvent e)`
  `protected void`
  `doMouseEntered(MouseEvent e)`
  `protected void`
  `doMouseExited(MouseEvent e)`
  `protected void`
  `doMousePressed(MouseEvent e)`
  `protected void`
  `doMouseReleased(MouseEvent e)`
  `Color`
  `getFillColor()`
  `boolean`
  `getisLast()`
  `PolygonSimple`
  `getPolygon()`
  `static void`
  `main(String[] args)`
  `void`
  `paintComponent(Graphics g)`
  `void`
  `setFillColor(Color fillColor)`
  `void`
  `setIsLast(boolean isLast)`
  `void`
  `setMakeFontSmaller(boolean b)`
  `void`
  `setPolygon(PolygonSimple p)`
  `void`
  `setVoroPolygon(PolygonSimple polygon)`
  `void`
  `setVoroPolygon(PolygonSimple p, int height)`

  ### Methods inherited from class javax.swing.JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUI, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

  ### Methods inherited from class java.awt.Container

  `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, disableInputMethodSupport, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JPolygon

    public JPolygon(Integer id, String title)

  - ### JPolygon

    public JPolygon(Integer id)

  - ### JPolygon

    public JPolygon(PolygonSimple polygon, Integer id)

- ## Method Details

  - ### calculateFittingFont

    public void calculateFittingFont()

  - ### getPolygon

    public PolygonSimple getPolygon()

  - ### doMousePressed

    protected void doMousePressed(MouseEvent e)

  - ### doMouseReleased

    protected void doMouseReleased(MouseEvent e)

  - ### doMouseClicked

    protected void doMouseClicked(MouseEvent e)

  - ### doMouseEntered

    protected void doMouseEntered(MouseEvent e)

  - ### doMouseExited

    protected void doMouseExited(MouseEvent e)

  - ### setPolygon

    public void setPolygon(PolygonSimple p)

  - ### paintComponent

    public void paintComponent(Graphics g)
    Overrides:
      `paintComponent` in class `JComponent`

  - ### contains

    public boolean contains(int x, int y)
    Overrides:
      `contains` in class `JComponent`

  - ### contains

    public boolean contains(Point p)
    Overrides:
      `contains` in class `Component`

  - ### main

    public static void main(String[] args)

  - ### doFinalWork

    public void doFinalWork()
    Specified by:
      `doFinalWork` in interface `VoroCellObject`

  - ### setVoroPolygon

    public void setVoroPolygon(PolygonSimple p, int height)

  - ### setIsLast

    public void setIsLast(boolean isLast)

  - ### getisLast

    public boolean getisLast()

  - ### setFillColor

    public void setFillColor(Color fillColor)

  - ### getFillColor

    public Color getFillColor()

  - ### setMakeFontSmaller

    public void setMakeFontSmaller(boolean b)

  - ### setVoroPolygon

    public void setVoroPolygon(PolygonSimple polygon)
    Specified by:
      `setVoroPolygon` in interface `VoroCellObject`